# H323PresenceInstruction Class Reference

`#include <h460p.h>`

Inheritance diagram for H323PresenceInstruction:

[legend]
Collaboration diagram for H323PresenceInstruction:
[legend]

## Public Types

| e_subscribe
| e_unsubscribe
| e_block
| e_unblock
enum | Instruction { e_subscribe, e_unsubscribe, e_block, e_unblock }

## Public Member Functions

| H323PresenceInstruction (Instruction instruct, const PString &alias)
Instruction | GetInstruction ()
PString | GetAlias ()

## Static Public Member Functions

static PString | GetInstructionString (unsigned instruct)

## Member Enumeration Documentation

enum H323PresenceInstruction::Instruction

Enumerator:

  e_subscribe |
  e_unsubscribe |
  e_block |
  e_unblock |

## Constructor & Destructor Documentation

H323PresenceInstruction::H323PresenceInstruction | ( | Instruction | instruct,
|  | const PString & | alias |
| ) |  |  |

## Member Function Documentation

PString H323PresenceInstruction::GetAlias | ( |  | ) |

Instruction H323PresenceInstruction::GetInstruction | ( |  | ) |

static PString H323PresenceInstruction::GetInstructionString | ( | unsigned | instruct | ) | `[static]`

The documentation for this class was generated from the following file:

- h460p.h